TORRUS_SRVDERIVE(8)

NAME
srvderive - Derive a new service ID from sum or maximum of other service values

SYNOPSIS
torrus srvderive TIMESPAN OUTPUT FUNCTION SOURCES...

DESCRIPTION
When the Torrus Reporting engine is set up, this command is used to combine several services data into a new service ID. The output data is either the maximum or the sum of input services.

See Torrus Reporting Setup Guide for more information.

TIMESPAN
Either --month or --end option must be defined

--start=YYYY-MM-DD
    Sets the start date of the calculation.

--end=YYYY-MM-DD
    Sets the next day after the eond of the period.

--month
    Instead of setting the end data, it is convenient to use this option. It sets the end data in one calendar month after the start date.

OUTPUT

--out=SERVICEID
    Sets the output service ID. This should not be a service ID used in the Torrus datasource trees. Note: if srvderive command is run twice with the same arguments, the produced data is doubled for the output service ID.

FUNCTION

--func="MAX"|"SUM"
    Sets the function to be used when combining the input service data. Currently only "MAX" and "SUM" are supportted.

SOURCES

--in=SERVICEID ...
    Input service IDs are specified either by --in option, or as command line arguments. At least 2 input service IDs should be specified.

OPTIONS

--step
    Default: 300. Sets the data interval for derived service ID. It is recommended to leave this option at default value.

--verbose
    Prints extra informatgion.

--debug
    Prints debugging information.

--help
    Prints command usage information.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>